# Method: customers.reports.countChromeDevicesThatNeedAttention

- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeDevicesThatNeedAttention#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeDevicesThatNeedAttention#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeDevicesThatNeedAttention#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeDevicesThatNeedAttention#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeDevicesThatNeedAttention#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeDevicesThatNeedAttention#body.CountChromeDevicesThatNeedAttentionResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeDevicesThatNeedAttention#body.aspect)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countChromeDevicesThatNeedAttention#try-it)

Counts of ChromeOS devices that have not synced policies or have lacked user activity in the past 28 days, are out of date, or are not complaint. Further information can be found here <https://support.google.com/chrome/a/answer/10564947>

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/reports:countChromeDevicesThatNeedAttention`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. The customer ID or "my_customer" prefixed with "customers/". |

### Query parameters

| Parameters ||
|---|---|
| `orgUnitId` | `string` Optional. The ID of the organizational unit. If omitted, all data will be returned. |
| `readMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Mask of the fields that should be populated in the returned report. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body must be empty.

### Response body

Response containing counts for devices that need attention.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "noRecentPolicySyncCount": string, "noRecentUserActivityCount": string, "pendingUpdate": string, "osVersionNotCompliantCount": string, "unsupportedPolicyCount": string } ``` |

| Fields ||
|---|---|
| `noRecentPolicySyncCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Number of ChromeOS devices have not synced policies in the past 28 days. |
| `noRecentUserActivityCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Number of ChromeOS devices that have not seen any user activity in the past 28 days. |
| `pendingUpdate` | `string (https://developers.google.com/discovery/v1/type-format format)` Number of devices that are pending an OS update. |
| `osVersionNotCompliantCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Number of devices whose OS version is not compliant. |
| `unsupportedPolicyCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Number of devices that are unable to apply a policy due to an OS version mismatch. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.reports.readonly`